Page MenuHomePhabricator

Review the design for reading elements the RecordWizard
Closed, ResolvedPublicDesign

Description

@0x010C wants to have a better way to display elements to read in the RecordWizard.

There are 5 states for elements to be read in the RecordWizard:

  • to be read
  • already read, waiting for being uploaded
  • already read, already uploaded
  • an error happened
  • current element to read

those elements should have a better readability.

Related Objects

Event Timeline

Trizek created this task.May 28 2018, 12:13 PM
0x010C updated the task description. (Show Details)May 28 2018, 12:17 PM

@LucasWerkmeister just pointed out on twitter that items sometimes jump from one line to the next/previous, due to the width difference of the to be read state (it has currently a small border that the other states doesn't have).


I've made a first try by changing colors. It's a bit better in my opinion but there is still work to do.
I took the opportunity to fix the issue reported by @LucasWerkmeister.

See this commit.

Vvjjkkii renamed this task from Review the design for reading elements the RecordWizard to h5baaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
CommunityTechBot renamed this task from h5baaaaaaa to Review the design for reading elements the RecordWizard.Jul 2 2018, 3:34 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
0x010C changed the subtype of this task from "Task" to "Design".Apr 10 2020, 3:14 PM

A new design for the whole RecordWizard was made, including huge changes on the list of words to record, see T240552.

0x010C closed this task as Resolved.Jun 2 2020, 8:59 AM
0x010C claimed this task.

This has been implemented in version 2.0.0 of Lingua Libre, especially in commits d9b0a431 and 3df585a2.